curl -X PATCH "https://api.bota.dev/v1/ask/sessions/as_abc123" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{ "title": "Weekly commitments" }'
const response = await fetch('https://api.bota.dev/v1/ask/sessions/as_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ title: 'Weekly commitments' }),
});
const session = await response.json();
import requests
response = requests.patch(
'https://api.bota.dev/v1/ask/sessions/as_abc123',
headers={
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
json={'title': 'Weekly commitments'},
)
session = response.json()
{
"id": "as_abc123",
"scope": { "type": "library", "recording_ids": [], "recording_title": null },
"title": "Weekly commitments",
"message_count": 4,
"last_message_at": "2026-05-20T10:23:45Z",
"last_model": "gemini-2.0-flash",
"last_provider": "gemini",
"created_at": "2026-05-20T10:20:00Z",
"updated_at": "2026-05-20T10:25:10Z"
}
AI Ask
Update Session
Rename an AI Ask session
PATCH
/
ask
/
sessions
/
{id}
curl -X PATCH "https://api.bota.dev/v1/ask/sessions/as_abc123" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{ "title": "Weekly commitments" }'
const response = await fetch('https://api.bota.dev/v1/ask/sessions/as_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ title: 'Weekly commitments' }),
});
const session = await response.json();
import requests
response = requests.patch(
'https://api.bota.dev/v1/ask/sessions/as_abc123',
headers={
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
json={'title': 'Weekly commitments'},
)
session = response.json()
{
"id": "as_abc123",
"scope": { "type": "library", "recording_ids": [], "recording_title": null },
"title": "Weekly commitments",
"message_count": 4,
"last_message_at": "2026-05-20T10:23:45Z",
"last_model": "gemini-2.0-flash",
"last_provider": "gemini",
"created_at": "2026-05-20T10:20:00Z",
"updated_at": "2026-05-20T10:25:10Z"
}
Update a session’s title.
Authentication
Requires an API key. The session is looked up within the key’s project; an unknown session returns404. An end-user-scoped key can only update its own sessions.
curl -X PATCH "https://api.bota.dev/v1/ask/sessions/as_abc123" \
-H "Authorization: Bearer sk_live_..." \
-H "Content-Type: application/json" \
-d '{ "title": "Weekly commitments" }'
const response = await fetch('https://api.bota.dev/v1/ask/sessions/as_abc123', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ title: 'Weekly commitments' }),
});
const session = await response.json();
import requests
response = requests.patch(
'https://api.bota.dev/v1/ask/sessions/as_abc123',
headers={
'Authorization': 'Bearer sk_live_...',
'Content-Type': 'application/json',
},
json={'title': 'Weekly commitments'},
)
session = response.json()
Path Parameters
Session identifier (
as_*).Request Body
New session title (1–200 characters).
Response
Returns the updated session object.{
"id": "as_abc123",
"scope": { "type": "library", "recording_ids": [], "recording_title": null },
"title": "Weekly commitments",
"message_count": 4,
"last_message_at": "2026-05-20T10:23:45Z",
"last_model": "gemini-2.0-flash",
"last_provider": "gemini",
"created_at": "2026-05-20T10:20:00Z",
"updated_at": "2026-05-20T10:25:10Z"
}
Was this page helpful?
⌘I

